@import "variables";

@mixin matIconSize($size, $fontSize: 0) {
  width: $size;
  height: $size;
  @if $fontSize != 0 {
    font-size: $fontSize;
  } @else {
    font-size: $size;
  }
}
@mixin smallBlackShadow() {
  box-shadow: 0 1px 1px rgba(0,0,0,0.1);
}
@mixin grayGradient($textColor: $primary) {
  background: $white;
  background: linear-gradient(
                  180deg,
                  darken($white, 6%) 0%,
                  darken($white, 2%) 15%,
                  $white 40%,
                  $white 60%,
                  darken($white, 2%) 85%,
                  darken($white, 6%) 100%);
  color: $textColor;
}

@mixin blueGradient($textColor: $white) {
  background: $blue;
  background: linear-gradient(
                  180deg,
                  darken($blue, 8%) 0%,
                  darken($blue, 4%) 15%,
                  $blue 40%,
                  $blue 60%,
                  darken($blue, 4%) 85%,
                  darken($blue, 8%) 100%);
  color: $textColor;
}
